import { CodeCss, Config, ConfigOption, Footers, StaticTextDefault, ToolbarNames } from './type';

export declare const prefix = "md-editor";
export declare const defaultEditorId = "md-editor-rt";
export declare const iconfontSvgUrl = "https://at.alicdn.com/t/c/font_2605852_cmafimm6hot.js";
export declare const iconfontClassUrl = "https://at.alicdn.com/t/c/font_2605852_cmafimm6hot.css";
export declare const cdnBase = "https://cdnjs.cloudflare.com/ajax/libs";
export declare const highlightUrl = "https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/highlight.min.js";
export declare const prettierUrl: {
    main: string;
    markdown: string;
};
export declare const cropperUrl: {
    css: string;
    js: string;
};
export declare const screenfullUrl = "https://cdnjs.cloudflare.com/ajax/libs/screenfull.js/5.2.0/screenfull.min.js";
export declare const allToolbar: Array<ToolbarNames>;
export declare const allFooter: Array<Footers>;
export declare const staticTextDefault: StaticTextDefault;
export declare const mermaidUrl = "https://cdnjs.cloudflare.com/ajax/libs/mermaid/10.6.1/mermaid.esm.min.mjs";
export declare const katexUrl: {
    js: string;
    css: string;
};
export declare const codeCss: CodeCss;
export declare const defaultProps: {
    modelValue: string;
    theme: string;
    className: string;
    onChange: () => void;
    onSave: () => void;
    pageFullscreen: boolean;
    preview: boolean;
    htmlPreview: boolean;
    language: string;
    toolbars: ToolbarNames[];
    toolbarsExclude: never[];
    noPrettier: boolean;
    onHtmlChanged: () => void;
    onGetCatalog: () => void;
    tabWidth: number;
    showCodeRowNumber: boolean;
    previewTheme: string;
    mdHeadingId: (text: string) => string;
    style: {};
    tableShape: number[];
    noMermaid: boolean;
    sanitize: (text: string) => string;
    placeholder: string;
    noKatex: boolean;
    defToolbars: never[];
    onError: () => void;
    codeTheme: string;
    footers: Footers[];
    scrollAuto: boolean;
    defFooters: never[];
    noIconfont: boolean;
    formatCopiedText: (t: string) => string;
    noUploadImg: boolean;
    codeStyleReverse: boolean;
    codeStyleReverseList: string[];
    autoFocus: boolean;
    disabled: boolean;
    readOnly: boolean;
    autoDetectCode: boolean;
    noHighlight: boolean;
    noImgZoomIn: boolean;
    inputBoxWitdh: string;
    sanitizeMermaid: (h: string) => Promise<string>;
    transformImgUrl: (t: string) => string;
    codeFoldable: boolean;
    autoFoldThreshold: number;
};
export declare const editorExtensionsAttrs: ConfigOption['editorExtensionsAttrs'];
export declare const configOption: ConfigOption;
export declare const config: Config;
/**
 * 拖拽时最小的宽度
 */
export declare const MinInputBoxWidth = 170;
