/**
 * 转换base64为file对象
 * 方法来自网络
 *
 * @param base64 Base64
 * @param fileName 图片名称
 * @returns
 */
export declare const base642File: (base64: string, fileName?: string) => File | null;
/**
 * 对代码块添加行号
 *
 * @param code 代码html内容
 * @returns string
 */
export declare const generateCodeRowNumber: (code: string) => string;
/**
 * 逻辑分离katex相关文本
 * 不再采用正确匹配，会导致性能问题
 *
 * @param str 待处理字符串
 * @param key 单行或多行标识符
 * @returns []
 */
export declare const splitKatexValue: (str: string, key?: string) => Array<string>;
/**
 * 兼容firefox获取选中文本
 *
 * @param textarea 输入框element
 * @returns selectedText
 */
export declare const getSelectionText: (textarea: HTMLTextAreaElement) => string;
/**
 * 列表类生成
 *
 * @param classList 待赛选class列表
 * @returns
 */
export declare const classnames: (classList: Array<string | false>) => string;
/**
 * 获取元素相对目标元素顶部位置
 * 代码来自antd
 *
 * @param element
 * @param container
 * @returns
 */
export declare const getRelativeTop: (element: HTMLElement, container: HTMLElement) => number;
/**
 * 获取递增的ID
 */
export declare const getNextId: (prefix: string) => string;
/**
 * 获取递增的zIndex
 */
export declare const getZIndexIncrement: () => number;
